#include <iostream>
#include <cstdio>
using namespace std;

/* Reset de condições de erro em CIn */
void cleanInput()
{
  char cc;

  if (cin.fail())
  {
    cin.clear();
    while (cin.get(cc) && cc != '\n');
  }
}


/* Exibe status de CIN */
void printStatInput()
{
  cout << "\tGood: " << cin.good() 
       << "     Fail: " << cin.fail() 
       << "     Bad: " << cin.bad() 
       << "     EOF: " << cin.eof() << endl << endl;
}


/* Esvazia buffer de entrada de stream */
void flushstdin()
{
  int c;

  while ((c = cin.get()) != EOF && c != '\n');
}

/* Dado um string, muda todas as letras para maiuscula */
char *toupperStr(char *str)
{
  int i = 0;

  while (str[i])
    str[i++] = toupper(str[i]);

  return str;
}


/* Dado um string, muda todas as letras para minuscula */
char *tolowerStr(char *str)
{
  int i = 0;

  while (str[i])
    str[i++] = tolower(str[i]);

  return str;
}


